package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrSafetyFlamearresterMapper;
import com.ruoyi.project.pssr.domain.TPssrSafetyFlamearrester;
import com.ruoyi.project.pssr.service.ITPssrSafetyFlamearresterService;

/**
 * 安全设施-阻火器Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrSafetyFlamearresterServiceImpl implements ITPssrSafetyFlamearresterService
{
    @Autowired
    private TPssrSafetyFlamearresterMapper tPssrSafetyFlamearresterMapper;

    /**
     * 查询安全设施-阻火器
     *
     * @param id 安全设施-阻火器ID
     * @return 安全设施-阻火器
     */
    @Override
    public TPssrSafetyFlamearrester selectTPssrSafetyFlamearresterById(Long id)
    {
        return tPssrSafetyFlamearresterMapper.selectTPssrSafetyFlamearresterById(id);
    }

    /**
     * 查询安全设施-阻火器列表
     *
     * @param tPssrSafetyFlamearrester 安全设施-阻火器
     * @return 安全设施-阻火器
     */
    @Override
    public List<TPssrSafetyFlamearrester> selectTPssrSafetyFlamearresterList(TPssrSafetyFlamearrester tPssrSafetyFlamearrester)
    {
        return tPssrSafetyFlamearresterMapper.selectTPssrSafetyFlamearresterList(tPssrSafetyFlamearrester);
    }

    /**
     * 新增安全设施-阻火器
     *
     * @param tPssrSafetyFlamearrester 安全设施-阻火器
     * @return 结果
     */
    @Override
    public int insertTPssrSafetyFlamearrester(TPssrSafetyFlamearrester tPssrSafetyFlamearrester)
    {
        return tPssrSafetyFlamearresterMapper.insertTPssrSafetyFlamearrester(tPssrSafetyFlamearrester);
    }

    /**
     * 修改安全设施-阻火器
     *
     * @param tPssrSafetyFlamearrester 安全设施-阻火器
     * @return 结果
     */
    @Override
    public int updateTPssrSafetyFlamearrester(TPssrSafetyFlamearrester tPssrSafetyFlamearrester)
    {
        return tPssrSafetyFlamearresterMapper.updateTPssrSafetyFlamearrester(tPssrSafetyFlamearrester);
    }
    @Override
    public int updateAllBySubId(TPssrSafetyFlamearrester tPssrSafetyFlamearrester)
    {
        return tPssrSafetyFlamearresterMapper.updateAllBySubId(tPssrSafetyFlamearrester);
    }

    /**
     * 批量删除安全设施-阻火器
     *
     * @param ids 需要删除的安全设施-阻火器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyFlamearresterByIds(Long[] ids)
    {
        return tPssrSafetyFlamearresterMapper.deleteTPssrSafetyFlamearresterByIds(ids);
    }

    /**
     * 删除安全设施-阻火器信息
     *
     * @param id 安全设施-阻火器ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSafetyFlamearresterById(Long id)
    {
        return tPssrSafetyFlamearresterMapper.deleteTPssrSafetyFlamearresterById(id);
    }
}
